{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "nicothekid:craft_x_bamboo_tumbler_milk"
    },
    "tags": [
      "crafting_table"
    ],
    "pattern": [
      "MB",
      "B "
    ],
    "key": {
      "M": {
        "item": "minecraft:bucket",
        "data": 1
      },
      "B": {
        "item": "nicothekid:bamboo_tumbler_empty"
      }
    },
    "result": [
      {
        "item": "nicothekid:bamboo_tumbler_milk",
        "count": 2
      },
      {
        "item": "minecraft:bucket",
        "data": 0,
        "count": 1
      }
    ]
  }
}
